### Signal

# WebKit2 WebContext::automation-started

#### Declaration

    void
    automation_started (
      WebKitWebContext* self,
      WebKitAutomationSession* session,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new automation request is made. Note that it will never be emitted if automation is not enabled in `context`, see `webkit_web_context_set_automation_allowed()` for more details.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 2.18

#### Parameters

`session` | `WebKitAutomationSession`
| The `WebKitAutomationSession` associated with this event.
| The data is owned by the caller of the function.